Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface JMSProducerRuntimeMBean

public interface JMSProducerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS producer.

Method Summary
`long` | `getBytesPendingCount()` Returns the number of bytes pending (uncommitted and unacknowledged) by this producer.
`long` | `getBytesSentCount()` Returns the number of bytes sent by this producer since the last reset.
`long` | `getMessagesPendingCount()` Returns the number of messages pending (uncommitted and unacknowledged) by this producer.
`long` | `getMessagesSentCount()` Returns the number of messages sent by this producer since the last reset.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the number of messages pending (uncommitted and unacknowledged) by this producer.

### getMessagesSentCount

    public long getMessagesSentCount()

  Returns the number of messages sent by this producer since the last reset.

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the number of bytes pending (uncommitted and unacknowledged) by this producer.

### getBytesSentCount

    public long getBytesSentCount()

  Returns the number of bytes sent by this producer since the last reset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference